ConnectorException (Mule ESB 2.2.1 API)
Keywords: org.mule.api.transport.ConnectorException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.transport
Class ConnectorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.transport.ConnectorException

All Implemented Interfaces:
  Serializable

    public class ConnectorException

extends MuleException

`ConnectorException` Is thrown in the context of a Connector, usually some sort of transport level error where the connection has failed. This exception maintains a reference to the connector.

See Also:
  `Connector`, Serialized Form

Constructor Summary
`ConnectorException(Message message, Connector connector)`
`ConnectorException(Message message, Connector connector, Throwable cause)`

Method Summary
`Connector` | `getConnector()`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectorException

    public ConnectorException(Message message,
                              Connector connector)

Parameters:
  `message` - the exception message
  `connector` - where the exception occurred or is being thrown

### ConnectorException

    public ConnectorException(Message message,
                              Connector connector,
                              Throwable cause)

Parameters:
  `message` - the exception message
  `connector` - where the exception occurred or is being thrown
  `cause` - the exception that cause this exception to be thrown

Method Detail

### getConnector

    public Connector getConnector()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.